#!/bin/sh

name="gnupg"
title="The GNU Privacy Guard"
package="gnupg"
version="1.2.1"
build="1"
noarch="n"
build_info="Standard build."

info="GnuPG is GNU's tool for secure communication and data storage."
desc="GnuPG is a complete and free replacement for PGP. Because it does 
not use the patented IDEA algorithm, it can be used without any restrictions.
GnuPG is a RFC2440 (OpenPGP) compliant application."
category="security/cryptography"
environment="console/text"
contact="$name@packages.packware.gnu.pl"
vendor="The Packware Project"
vendor_id="pw"

requires=""
obsoletes=""
conflicts=""

docs_source="ABOUT-NLS,AUTHORS,BUGS,ChangeLog,COPYING,INSTALL,NEWS,README,TODO,VERSION,doc/DETAILS,doc/OpenPGP,THANKS,PROJECTS,doc/FAQ"
docs_cwd=""

strip_bin="y"
reset_own="y"
reset_dir="y"
reset_fil="y"
delete_cat="y"

. /usr/src/tgz/lib/builder.defs

add_source ftp://ftp.gnupg.org/gcrypt/gnupg/$name-$version.tar.bz2

configure_option --prefix=/usr
configure_option --enable-m-guard
#configure_option --disable-nls

# Warning! --host=$architecture-pc-linux-gnu is passed to ./configure by
# default. Use build_host_off to turn it off.
#build_host_off

make_option docdir=/usr/doc/$name-$version

install_option DESTDIR=$pkg_main

parent_package="$package"
write_info main

cd $src1

do_configure
do_make
do_install

# Some fixes
rm -f $pkg_main/usr/share/gnupg/faq.html 

make_docs

# Cosmetics
mv $pkg_main/usr/share/gnupg/FAQ $pkg_main/usr/doc/$name-$version

#subpackage changelog

make_package main
#make_package changelog

clean_up
# $Log: gnupg.builder,v $
# Revision 1.2  2002/12/26 13:31:39  stoodi
# - Build 1.
#
# Revision 1.1  2002/12/26 13:09:50  stoodi
# - Initial release.
# - Version 1.2.1.
# 
